# NerevarCastle v1.20

Страница плагина на _FullRest_: http://www.fullrest.ru/files/Nerevar_Castle

Автор идеи: Кирилл Улановский
- также извесетн как: _Magic Push_, _XERXES_
- контакт: xerxes.gw@gmail.com

Исходник данного мануала написан на Markdown
([GitHub Flavored](https://help.github.com/en/categories/writing-on-github)) и экспортирован в PDF
с помощью [Typora](https://typora.io/).

# Оглавление

- [Описание](#описание)
- [Установка](#установка)
- [Спойлеры](#спойлеры)
- [Возможное будущее](#возможное-будущее)
- [Заимствования](#заимствования)
- [Технические моменты](#технические-моменты)
- [История изменений](#история-изменений)

# Описание

Стоит начать со следующего замечания: данный плагин разрабатывался в первую очередь для себя, любимого.
Тем не менее, буду рад узнать ваше мнение, а также получить советы или рекомендации по "техническим" и "эстетическим"
решениям.

## Базовые идеи плагина

В основу плагина легли два неявных (без диалогов и заметок в журнале; только записки) квеста, каждый из которых
завершается приобретением жилплощади с её "примочками". Думаю, практически все фанаты Морроувинда столкнулись
с необходимостью иметь собственную недвижимость. К сожалению, оригинал, хоть и предоставляет несколько таких, но далеко
не сразу, либо сразу, но в неявном виде (нигде не упоминается). А дом Кая Косадеса ну ваще не катит...

Первая жилплощадь - особняк в Балморе. Достаётся игроку практически в самом начале, если тот сумеет справиться
с "временно населяющими" его бандюгами. Имеет подвал, набитый ценными вещицами. Правда, попасть внутрь непросто...

Вторая жилплощадь может быть получена в районе второй половины основной сюжетной линии: ходят слухи, что у
Индорила Неревара был собственный замок, полный удивительных вещей. К сожалению, замок хорошо скрыт от глаз смертных,
и никто не знает, как до него добраться...

### Баланс

О балансе можно сказать много чего, холивары не утихнут никогда... Я же ограничусь тем, что самая главная идея данного
плагина - выкрутить баланс так, что он, перепрыгнув отметку "читерство", долетает до состояния "безумие". Именно так
можно охарактеризовать суть плагина и все те "свистелки", что вы найдёте в замке.

К примеру, вы обнаружите доспехи, каждый элемент которых способен вместить в себя **3000** пунктов зачарования. Казалось
бы, вот оно "читерство"... А вы лучше попробуйте решить такую задачку: какую наложить наиболее оптимальную сетку
зачарований на _весь комплект_, чтобы добиться абослютной неубиваемости в _любых_ обстоятельствах? Ну или сделать
из этого комплекта костюм, в которым вы можете сами зачаровывать и кастовать что угодно...
Тут целое раздолье для идей и экспериментов!

## Другие существенные особенности

Данный плагин можно смело отнести к группе "комплексных" (иначе, "глобальных") плагинов. Основные моменты:

- В продаже появилось несколько редких и дорогих книг. Цена книги соответствует ценности её содержимого.
Всего три книги + карта и два места их продажи.
    - _К кому пойти учиться?_: не трудно догадаться по названию, что в ней описаны все тренеры- мастера и их точные
(или приблизительные) координаты.
    - _Десять цитаделей_: в этой книге детально описаны кратчайшие пути до каждой из десяти цитаделей
(Индоранион, Валенварион, Фаласмарион и др.). "Изюминка" книги заключается в том, что к каждому маршруту прилагается
кусок карты (спасибо Barsik-у за оригинал карты, откуда нарезались куски), на которой всё ясно, как день. В приложении
можно найти информацию о пропильонах - какие куда ведут.
    - _Утерянные артефакты_: в данной книге описывается местонахождение артефактов, о которых не говорится в квестах.
    - _Карта Вварденфелла_: простой свиток со скриптом, заполняющим всю стандартную карту Вварденфелла.
- Увеличены цены на одежду и драгоценные камни.
- Уменьшен вес даэдрического оружия.
- Отредактированы характеристики и зачарования некоторых артефактов
(основываясь на, не помню каких, источниках "достоверной информации").
- Добавлена возможность ставить книги (три положения).
- Убрана агрессия некоторых животных: крысы, улитки квамы, скальные наездники и рьеклинги (достали, просто жуть!).
- Убран скрипт, вызывающий агрессию ординаторов, когда игрок общается с ними, надев индорильские шлем или кирасу.
На мой взгляд, глупый скрипт. В реальности, если ты в шлеме, тебя не смогут опознать и однозначно заявить,
что ты - чужак. Вот если бы документы проверяли друг у друга... Кроме того, всем известно, что "ординаторы непобедимы".
Кто победил, тот молодец и достоин похвалы, а никак не взбучки. А для тех, кто лишился удобного способа "бесплатного"
вызова агрессии, скажу, что метод "Оскорбление" никто не отменял. :)
- Добавлен новый магический эффект - _Раздевание_. В оригинале имеет название _EXTRA SPELL_, но нигде не используется.
- Оправдано существование топора "Крылья Королевы Летучих Мышей", который в оригинале нигде не использовался.
- Добавлен новый знак зодиака - _Дракон_.
- Хесеринд, как и должен был изначально, теперь продаёт отмычки и щупы тайного мастера.
- Изменены имена отмычек, щупов, алхимических принадлежностей и частично характеристики.
Мне не нравились имена типа "секретный щуп мастера". Куда лучше "щуп тайного мастера".
- Изменены вес, магическая вместимость, цена и проч. по отношению к некоторым типам брони, оружия.
- Изменены некоторые ингредиенты, добавлены свойства вместо некоторых "пустот".
- При вступлении в гильдию Мораг Тонг игрок получает полную "корпоративную" экипировку из разряда одежды.
- Модифицирован скрипт `Sleepers`, управляющий снами от Дагот Ура, а также, в последствии, появлением пепельных тварей
возле спящего игрока. Теперь игрок будет просыпаться в холодном поту и в своём новом жилище Балморы.
- Модифицирован скрипт [`dbAssassinScript`](#dbAssassinScript).
- Модифицирована фракция [_Восточная Имперская Компания_](#восточная-имперская-кампания).
- Собственное, немного неэффективное исправление отображения русскоязычных карт (путеводители, провинции);
вместе с плагином GFM 5 почему-то не справляется с данной проблемой.

### dbAssassinScript

`dbAssassinScript` отвечает за генерацию убийц Тёмного Братства во время сна персонажа. По сюжету их нанял... некто,
ибо игрок может нести угрозу планам этого некто. Я читал книги, в которых рассказывалось, так сказать, об акцентуациях
характера этого некто... Но нападать на хиленького героя первого уровня с жалким кинжалом в руке - это перебор.

Да, даже на первом уровне с жалким кинжалом игрок может убить ассассина (и, при этом, неплохо набить карман золотом за
счёт оружия и брони убийцы). Опытные игроки вообще могут пройти основной сюжет на "первом десятке"... Но, всё равно,
нелогично и неприятно. Поэтому я сделал следующую модификацию: побудка игрока с генерацией убийц(ы) возможна только при
уровне игрока от _15_ и выше. Побудка запрещена при нахождении игрока в двух локациях. Одна была в оригинальном
скрипте - офис "регистрации" игрока (в самом начале). Вторая - область, в которой находится замок.
Ибо в ней по смыслу не может появиться никто, кроме самого игрока.

### Восточная Имперская Кампания

В оригинальном _Bloodmoon_ есть незначительный, но внешне неприятный баг. Когда игрок, вступив в
_Восточную Имперскую Кампанию_ (далее - ВИК), получает наивысшее звание (_Фактор_), а затем в инвентаре наводит курсор
мыши на название фракции, игрок видит, что доступно следующее звание: `Ранг <пусто>, требования - 0 п.`

Дело в том, что под **любую** фракцию ядро игры (или что-то там ещё, а не конструктор!) даёт ровно **10** званий
(ни званием больше, ни званием меньше). Так вышло, что разработчики подарили ВИК лишь **9** званий,
где 9-е - _Фактор_. 10-е звание было пустым. В результате получился такой глюк с некорректным отображением.
Мало того, скриптовая команда повышения уровня не способна повысить уровень игрока в таком сценарии.
В оригинале разработчики повышали игрока в конце всех квестов аж **10** раз.

Моя модификация заключается в том, что теперь 10-й ранг заполнен и выглядит точной копией 9-го. По идее, благодаря
одномоментным 10-и повышениям в конце кампании игрок увидит свой ранг как _Фактор_ и то, что этот ранг последний
(в инвентаре кроме ранге больше никакой информации о фракции не появится). Если же по каким-либо причинам игрок имеет
9-й ранг _Фактор_ (а следующий - тоже _Фактор_), пусть пропишет в консоли: `PCRaiseRank "East Empire Company"`

# Установка

1. Поместите файлы плагина `NerevarCastle*` в директорию _Data Files_.
1. Поместите содержимое директории _Video_, что прилагается к плагину, в одноимённую директорию в Data Files.
1. Убедитесь, что у вас установлены официальные дополнения **Tribunal** и **Bloodmoon**.
   
    - Зависимости от мастер-файлов: `Morrowind.esm`, `Tribunal.esm`, `Bloodmoon.esm`.
1. Зарегистрируйте файл архива ресурсов (`.bsa`) с помощью [`BSAReg`](http://www.fullrest.ru/files/bsareg) или вручную:
    1. Откройте `Morrowind.ini` в директории игры.
    1. Найдите секцию `[Archives]`.
        - Если такой секции нет, впищите её самостоятельно в конец файла.
    1. Пропишите под ней архив плагина: `Archive X=NerevarCastle.bsa`, где _X_ - порядковый номер архива,
начиная с `0`.
        - Пример:
            ```
            [Archives]
            Archive 0=Tribunal.bsa
            Archive 1=Bloodmoon.bsa
            Archive 2=NerevarCastle.bsa
            ```
1. Подключите плагин к игре:
    1. Запустите `Morrowind Launcher.exe`.
    1. Выберите пункт _Файлы_.
    1. Поставьте крестики (если уже не стоят) двойным кликом напротив `Morrowind.esm`, `Tribunal.esm`, `Bloodmoon.esm`
и `NerevarCastle.esp`.
    1. Жмите _ОК_.

При загрузке сохранения, созданного без данного плагина, вы получите предупреждение о возможных проблемах.
**Вас предупредили!** Соглашайтесь, если готовы рискнуть выхватить багов. Либо начните новую игру.

Плагин можно спокойно использовать без [`GMST-Fix`](http://www.fullrest.ru/files/gmst-fix-1c):
новые заклинания вызова существ (фабрикант, медведь, волк, костяной волк) работают корректно.

## Удаление

Требуется выполнить действия, обратные установке:

1. Отключите плагин в `Morrowind Launcher.exe` -> _Файлы_, сняв крестик напротив `NerevarCastle.esp`.
1. Удалите упоминание `NerevarCastle.bsa` из `Morrowind.ini` с помощью [`BSAReg`](http://www.fullrest.ru/files/bsareg)
или вручную.
1. Удалите файлы `NerevarCastle*`, лежащий в директории _Data Files_. Там же, в поддиректории _Video_ удалите файлы
`Warp1.bik` и `Warp2.bik`.

# Спойлеры

Данный раздел называется так потому, что наиболее сильное впечатление от плагина можно получить, не зная заранее
уготованных сюрпризов. Однако если вы не собираетесь целенаправленно проходить всю игру вместе с данным плагином,
а просто хотите оценить работу, "пробежаться" по "фичам", или вам просто нужно уточнить, почему, скажем, не открывается
потайная дверь, несмотря на уровень силы в 100, тогда вам сюда.

## Доступ к подвалу Особняка

В Балморе, под одним из мостов можно найти металлическую дверь (подсказка об этом – в записке под ковриком у входа
в особняк). **Дверь может открыть игрок от _15_-го уровня и выше**. Пещера, в которой оказывается игрок, и следующий за ней
дли-и-и-инный проход слегка освещены свечами. Пробравшись по тёмному проходу, поднявшись по винтовой лестнице и открыв
люк, игрок попадает в тот самый подвал особняка. Открытие двери, ведущей в основные помещения особняка,
навсегда "отпирает засов".

В подвале вы найдёте, помимо прочих вкусностей, все обучающие книги из оригинальной игры, а также не использованную
в оригинале секиру _Крылья Королевы летучих мышей_.

## Подробности о замке

Замок Неревара (_Гадерименлад_) находится на открытом пространстве (тип Exterior Cell) за пределами стандартной карты.
Добраться туда можно лишь через портал, имея при себе `nc_scythe`, что вы можете подобрать, убив мощного NPC
(`nc_derbig`): его святилище доступно внутри _Пещеры Воплощения_.
Облегчённый способ ликвидации Дербига - зачарование `nc_archmagestaff` (этот посох игрок получает при победе над
архимагом Гильдии Магов на арене). Для использования посоха требуется навык зачарования от `75` до `105` пунктов
(не больше!).

Портал находится на новом острове. Путь к нему - через гондольера Храма Вивека: Остров Тишины. На том острове находится
велотийская башня, _Святилище_. В святилище вы найдёте _Мемориальный столб_. При первой активации оного
(имея при себе `nc_scythe`) вам сообщается, что оружие уничтожено, и из него высвобожден _Ключ_. Последующие активации
столба переносят игрока в область замка (на выходе - идентичная комната, но которая уже называется _Купол Резонатора_).

Вся территория с замком окружена большой невидимой стеной (и потолком) - чтобы игрок не свалился за границу, а потом
пыхтел бы в попытках вернуться обратно )не обладая левитацией). Наверху башни замка (доступ к лестнице на неё ищите
снаружи, в задней части замка) стоит "бессмертный" дремора (`nc_dremora`). На нём скрипт - игнорировать любые атаки
и восстанавливать здоровье. Чем может похвастаться:
- капитал для торговли - 100 000 дрейков;
- неплохой набор мощных заклинаний "на все случаи жизни";
- продаёт "бесконечные" (обновляются при повторном открытии диалога торговли) даэдрические дротики и стрелы,
удобное для далёких перемещений зелье и мощные, "вечные" фонари;
- покупает оружие, броню, свет, магические предметы и зелья;
- оказывает услуги ремонта, создания заклинаний и зачарований.

В замке есть (указаны наиболее интересные моменты):
- Прихожая: вместительные сундуки (вмещают 100 000 фунтов).
- Спальня: вместительные сундуки (вмещают 10 000 фунтов), метеорологическое кольцо, а также бассейн и вообще
единственное место, где игрок может отдохнуть (поспать).
- Комната Духов: сундук с генерирующимися камнями душ и столб, вызывающий соответствующих камню существ.
- Лаборатория: сундук, генерирующий почти все ингредиенты оригинала и обоих дополнений;
особые эликсиры класса "прощай, баланс" (да вообще всё, что есть в замке и рядом, относится к данному классу);
мастер-метка к пропильонам кимерских крепостей.
- Оружейная: сундук с генерирующимися стрелами и кузнечными молотами.
    - А также одна из главных фишек - длинный зал с манекенами для брони. В конце зала - манекен
с _Кевлариумной_ бронёй.
Управление освещением зала - слева от двери в зал.

# Возможное будущее

Есть пара хороших идей для новой мажорной версии. Одна из идей добавляет градус к уже присутствующему безумству плагина.
Увы, обязательное требование к реализации этих идей - создание новых моделей (как оружия / зелий,
так и частей помещений)...

Если есть желающие принять участие и посоздавать для плагина новые модели, я открыт для сотрудничества! :)

# Заимствования

Сам я не умею (пока?) создавать новые текстуры и модели, а хочется иногда чего-то нового... Поэтому приходится тащить
ресурсы из других (самостоятельных) плагинов. Помимо ресурсов я также позаимствовал идею особняка в Балморе.

В данном разделе я перечислю сведения о заимствованных идеях. О тех, о которых эти сведения сохранились...

## Официальные

- _Мастер-метка_ (`index_master`). В отличие от
[оригинального плагина](https://elderscrolls.fandom.com/wiki/Master_Index_(Plug-in)) доступен независимо от сбора
обычных меток и позволяет курсировать по всему кольцу цитаделей (без телепортации в Гильдию Магов Кальдеры).

## FullRest

- Новые модели камней душ: [_Реплейсер камней душ_](http://www.fullrest.ru/files/Moons_Soulgems).
- _Пожиратель душ_ (`nc_demon_mace`): называется вроде бы _Демоническая булава_, но источник утерян.
- "Золотое золото": [_Золото Империи_](http://www.fullrest.ru/files/gold-1c).
- "Настоящее" _Клеймо Эльтона_: источник утерян.
- Реплейсеры 3 видов бутылок для зелий: [_Улучшенные зелья_](http://www.fullrest.ru/files/potion-upgrade).

## Прочее

Источников не помню совсем. Эти плагины собрилались с самых разных плагинопомоек (даже со специальных CD-сборников!).

- Особняк в Балморе: Крыльцо и два этажа (те, что доступны сразу) скопированы с плагина _Your Balmora Residence_
(уж очень понравился). А вот уже записка-подсказка, два незваных гостя, некоторые правки внутри,
а также подземные помещения - дело моих рук.
- _Метеорологическое кольцо_ (`nc_weather_ring`): _WeatherRing_.
    - Скрипт этого кольца я местами улучшил.
- _Посох Хлироса_ (`nc_archmagestaff`): _SarumanStaff_.
- _Разрушитель_ (`nc_scythe`): _Scythe_ (вот так и назывался).
- Модель замка: просто модель `castle.nif` (плюс текстуры), валяющаяся в свободном доступе.
- Скрипт "BookRotate" - для вращения закрытых книг в 3 положениях.
- _Кевлариумные_ доспехи: _ShadowLordArmor_.
- Манекены: _Mannequins_ (но только мужская модель).

# Технические моменты

**Плагин использует ваниальный движок скриптов игры, никаких вам extender-ов!**

Данный раздел написан в первую очередь для себя в качестве памятки.

В плагине используется ряд скриптов. Если вы на них посмотрите, то заметите жуткую неоптимальность.
Проблема в том, что, простите, долбаный движок игры всячески ставит мне палки в колёса:
синдром 34-й переменной - цветочки. В этом разделе я отмечу один весьма спорный скрипт.

## nc_weaponary_door_script

Скрипт висит на двери у выхода из _Гадерименлад: Оружейная_.

В первых версиях был просто одноразовый скрипт, выключающий по умолчанию свет. Но, к сожалению, оказалось, что при
следующем заходе в оружейную при выключенном свете манекены, будучи в темноте, светятся (не прорисовываются тени).

Решение данной проблемы: принудительное включение и выключение света, причём с паузой (!) в `0.03` секунды.
Не меньше! Ибо `0.029` с расценивается движком как 0 с. Забавно, правда?

Но и этой проблемы было мало... Если игрок выходил из оружейной с включённым светом, то при очередном заходе внутрь он
успевал заметить блик выключаемого света (из-за тех же долбанных `0.03`). Поэтому решением данной проблемы стало...
принудительное выключение света перед принудительным включением и выключением спустя `0.03` с.

Вишенка на торте - невозможность обратиться к имени переменной, подставляя в цикле её суффикс - из-за чего пришлось
упоминать в скрипте каждую лампу по её уникальному имени.

## Ошибка левого значения

Ошибка "левого значения" (_Left value_) в данном случае - обыкновенный глюк. Решение - поменять строчки (или даже
блоки операторов) местами или перенести несколько проблемных операторов в другой скрипт.

## Пропажа endif

Иногда компилятор заявляет, что отсутствует или не в том месте указан оператор `endif`. А теперь, внимание, прикол:
на самом деле всё стоит на своих местах. Просто, видите ли, именно в этом скрипте (так уж вам повезло), именно в этом
месте в записи вроде `if (player->getlevel >= 15)` необходимо наличие пробелов между скобками и текстом внутри этих
скобок!

# История изменений

В разработке принято применять правила [семантического](https://semver.org/) версионирования. К сожалению, эти правила
тяжело применить для плагинов Morrowind - даже изменение текста в книге может привести к глюку дублирования
внутренних дверей, если игрок, подключив новую верси плагина, загрузил сохранение, созданное на базе старой версии.

Во времена релизов первых версий плагина автор был ещё студентом и потому курил дешёвый чай... Поэтому номер патча
для очередного выпуска следующей версией был вписан без точки, из-за чего была получена версия 1._11_ (вместо 1._1.1_).
Теперь это - история. А против истории, как известно, не попрёшь...

Резюмируя, привожу свои правила версионирования:
- **X**.00 (мажорная версия) инкрементируется при изменении основных идей плагина.
- 0.**X**0 (минорная версия) инкрементируется при любых других изменениях, если они массовые.
- 0.0**X** (патч-версия) инкрементируется при небольшом количестве изменений
(что помещается строчек на 15-20, не больше).

Ну а теперь к самим версиям...

## v1.20

Релиз: _август 2019_

### Оружие

- Урон всех болтов сделан постоянным (не диапазонным) - по аналогии с уроном арбалетов:
не важно, сколь долго прицеливаешься / "натягиваешь" (в этом и есть суть арбалета).
- Даэдрический лук полегчал (с `14` до `9` фунтов) - не может он весить больше копья из того же материала.
- Даэдрическая катана, макс. колющего урона увеличен с `14` до `22`.
- Резные дротики `ebony dart_db_unique` ассассинов ТБ получили эффект `db_poison` (как у адамантиновых клинков).
Иначе какой толк от этих дротиков?
- Ранее добавленные _Меч Индорила Неревара_, _Огненный меч_, _Ледяной меч_, _Покой_: беспощадно вырезаны из плагина,
ибо не столь актуальны.

### Доспехи

- _Наголенники Неревара_ переименованы в _Поножи Неревара_ (для единообразия). А затем...
- Все доспехи Неревара (`nc_nerevararmor_*`) переименованы в _Кевлариумные_ (`nc_kevlarium_armor_*`).

### Одежда

- _Королевская мантия_: выпилена во имя Луны.

### Отмычки и щупы

- Снова переименован `skeleton_key` из _Суперотмычка_ обратно в _Ключ Скелета_ (как упоминается Джимом Стейси).

### Заклинания

- _Огненный выдох_ (`nc_b_fire`): получило префикс _\[Дракон\]_, чтобы не терялось среди покупных заклинаний.
- _\[ЭМС\] Сила лучших акробатов_ и _\[ЭМС\] Скорость лучших бегунов_: отправлены в топку.
- _\[ЭМС\] Щит Богов_ (`nc_ME_fireshield`): элементальным щитам поднята мощность с `100` до `300`.
- _\[ЭМС\] Шаловливые ручки_ (`nc_ME_extra`): поднята цена использования с `0` до `8` (_Auto Calculate Cost_).

### Писчебумажная продукция

- _Карта Морроувинда_ переименована в _Карта Вварденфелла_ (ибо заполняет только остров).
    - _Карта Вварденфелла_ подорожала с `7950` до `11500`, и потяжелела с `0.5` до `6.5` фунтов.
- _Дориса Дарвел_ в Балморе больше не продаёт книги: _Куда пойти учиться_, _Карта Вварденфелла_.
- Правки текстов: _Десять цитаделей_, _Куда пойти учиться_, записка у входа в _Особняк_ (в Балморе),
записка от _Шейди_ к _Хаски_, все записки Неревара.
- _Затерянные артефакты_ переименованы в _Утерянные_, тексты переписаны, цена выросла с `14500` до `28300`.
- Свитки _Божественного Вмешательства_ (`sc_divineintervention`), _Благословления Даэрира_ (`sc_cureblight_ranged`),
_Посланника_ (`sc_messengerscroll`), _Милин Фарам_ (`sc_summondaedroth_hto`), _тайного убйицы_ (`sc_hiddenkiller`,
`sc_Chappy_sniper_test`) а также бумага (`sc_paper plain`, `sc_paper_plain_01_canodia`)
полегчали с `1.0` до `0.2` фунта - стали весить, как и остальные свитки.
Слова имеют вес только в умах тех, кто их понимает...
- _Проекты_: убрано упоминание "Восстановителя характеристик".
Само кольцо уже было удалено за ненадобностью в [**v1.11**](#v1.11).
- _Крил Гадер и Темная Башня_: убрана цена, добавлен автограф автора.
- _Свиток Вызова Центуриона_ (`sc_summonspherecenturion`): удалён в пользу единственно-верного способа обретения
заклинания в оригинальной игре.

### Свет

- _Свет Неревара_ заменён на 3 вида фонарей _Свет Вечности_: красный, синий и светло-оранжевый ("классический").
    - В новых моделях отсутствует звук (`Crystal Ringing`).
    - Цена снижена с `6000` до `1000`, вес снижен с `1.5` до `0.5`.

### Ингредиенты

- _Цветы золотой осоки_ (`Ingred_golden_sedge_01`), _Шипы Ллорамора_ (`Ingred_lloramor_spines_01`), _Луговая рожь_
(`Ingred_meadow_rye_01`), _Ниртовая цветоножка_ (`Ingred_nirthfly_stalks_01`), _Цветы осоки благородной_
(`Ingred_noble_sedge_01`), _Сладкая мякоть_ (`Ingred_sweetpulp_01`), _Тимсовые цветы_ (`Ingred_timsa-come-by_01`):
уменьшен вес с `1.0` до `0.1` (как у других растений).
- _Перья наездника_ (`ingred_racer_plumes_01`) и _Сердце упыря_ (`ingred_ghoul_heart_01`) обрели свойство _Светоч_
(вместо пустых мест). А почему бы и нет? :)

### Контейнеры

- _Платяной Шкаф_ (`nc_nerevar_closet`):
    - переименован в _Гардероб_ (`nc_hader_closet`);
    - содержит теперь только одежду в стиле лагерей эшлендеров. Хотя и она ставится под сомнение - ведь в те времена
с большей вероятностью делали другую одежду...
- _Сундук для зелий_ (`nc_com_chest_02_alch`) переименован в _Сундук_ (`nc_chest_sup_02`).
- _Склад ингредиентов_ (`nc_alchemy`):
    - удалены _соль пепла_ и _слёзы корпруса_ - их не существовало в те времена;
    - удалены эбонит-сырец, стекло-сырец и обрезки металла - слишком тяжёлые ингредиенты;
    - добавлены неуникальные (и не рудные) ингредиенты из _Tribunal_ и _Bloodmoon_.
- Источники адамантина-сырца (`rock_adam_*`) содержат до `3` кусков руды (вместо `1`).
- Удалён _Большой сундук_ (`de_r_chest_01_big_2`): раньше стоял у кровати в _Особняке_ Балморы; теперь на его месте
стоит сундук обычных размеров (и ёмкости `200`).

### Существа

- Всем 7 пепельным вампирам-лордам 6-го дома (обладателям скрипта `ashvampire`) показатель _Fight_ (желание напасть)
был снижен с `90` до `50` - у каждого есть свой уникальный диалог.
- _Зерин_, страж замка (`nc_dremora`):
    - вырос в уровне с `100` до `300` (первично - ради защиты от магии _приказа_ мощностью `100`);
    - больше не выдаёт выпиленный меч _Покой_ при первом приветствии; текст приветствия также переработан;
    - покупает только оружие, броню, свет, магические предметы и зелья;
    - продаёт по `-50` (вместо `-500`) даэдрических стрел и дротиков, по `-4` (вместо `-2`) _Зелья Призрака_,
по `-2` фонаря _Свет Вечности_ каждого цвета (вместо `-1` _Света Неревара_).
- Рьеклинги (`BM_riekling`, `BM_riekling_mounted`) прям бесят не слабее _Скальных наездников_: снизил и им (как и
упомянутой летающей скотине ещё в первом билде) намерение атаковать с `90` до `80` - перестали атаковать игрока.

### NPC

- Ассассины Тёмного Братства с уровня игрока `20` носят даэдрическое оружие, а с уровня `30` и выше - адамантиновое.
Поменял эти клинки местами между `db_assassin3` и `db_assassin4` (нападают во время сна), `db_assassin3a` и
`db_assassin4a` (в убежище).
    - Да, возможно, зачарование на адамантиновых клинках опаснее, чем само даэдрическое оружие. Но на высоких уровнях
игроку уже плевать на всё с колокольни своей прокачки, а даэдрическое оружие без зачарования всё-таки ценнее.
- _Хранитель Дербиг_ (`nc_derbig`): вырос в уровне с `100` до `101` (ради защиты от магии _приказа_ мощностью `100`).

### Внешние локации

- _Кашташпи, Святилище_ (_Kushtashpi, Shrine_): снаружи у входа сдвинута входная дверь, чтобы "встала в паз".
В оригинале справа от двери между ней и дверной рамой виднеется проём, через который видна "изнанка" входа.
- _Гадерименлад_:
    - На вершине башни есть невидимый источник света (освещает стража). Заменён на другой ради удаления звука:
однажды заданный звук источника света нельзя снять; можно лишь удалить старый объект и создать новый, уже без звука.
    - К невидимым стенам добавился невидимый потолок. Теперь игрок может хоть прыгать, хоть летать, не боясь вылететь
за пределы "пространственного кармана".

### Помещения

- _Балмора, Гильдия Магов_: Шарн гра-Музгоб чуть смещена подальше от книжной полки:
любила, врезаясь в неё, улетать вверх.
- _Альд'рун, Гильдия Магов_: Эрранил чуть приближена к платформе: любила проваливаться в стену за её спиной.
- _Балмора, Особняк_:
    - В углу гостиной передвинут камин (слишком явно врезался в стену).
    - На книжную полку в гостиной добавлено несколько обычных книг.
    - Большой сундук у кровати заменён на аналогичную модель, но стандартного размера.
    - Добавлен ларец на шкафу в спальне.
    - Добавлены сундуки в оружейной комнате.
    - В чулане _Деревянный сундук_ с ёмкостью `25` заменён на _сундук_ с ёмкостью `150`.
- _Балмора, Особняк: Подвал_:
    - Удалён свиток вызова Сферы Центуриона (всё-таки кошерней обрести заклинание через оригинальную книгу).
    - Статический объект открытого двемерского шкафа (`furn_dwrv_cabinet00`) заменён на аналогичный по виду контейнер
_Прогнивший двемерский шкаф_ (`dwrv_cabinet10`).
    - _Стальной двемерский шкаф_ (`dwrv_closet00`) заменён на _Стальной шкаф_ `dwrv_closet00_arms`: та же модель,
но вмещает не `200`, а `300` фунтов.
    - Вместо пустой открытой полки по центру установлены "спина к спине" две закрытые (со стороны "спины") высокие
книжные полки, которые заполнены обучающими книгами.
Дальше между колоннами установлен стол с раскрытыми обучающими книгами.
        - Раньше всё это добро располагалось в спальне Гадерименлада.
- _Тайный проход_:
    - Переименовано в _Балмора, Особняк: Тайный проход_.
    - Теперь всё помещение освещено свечами. Побочный эффект - интересная игра света и тени, если смотреть с одного
конца прохода в противоположный.
- _Тайная пещера_:
    - Переименовано в _Балмора, Тайная пещера_.
    - У верхней двери появился настенный подсвечник.
- _Пещера Воплощения_:
    - Приподнят вход в _Святилище Дербига_ - раньше дверь была будто вкопана в пол и визуально не могла быть открыта.
        - Там же приколота записка, намекающая, что игроку стоит подготовиться.
- _Святилище Дербига_:
    - Переименовано в _Пещера Воплощения, Святилище Дербига_.
    - Добавлен маркер севера.
- _Святилище_:
    - Переименовано в _Остров Тишины, Святилище_ (соотв. обновлён скрипт `nc_teleport_2`).
    - Добавлено больше освещения извне - так же, как для _Купола Резонатора_.
    - Вся внутренность целиком заменена на аналогичную _Куполу Резонатора_:
        - Я отказался от дурацкой идеи "замаскированного в замаскированном".
        - Заодно удалены не особо уместные мечи и мантия, а также "охрана".
    - Вход больше не закрыт на замок (и нет ловушки).
- _Купол Резонатора_:
    - Добавлено больше освещения извне (т. е. больше света проходит через "окна").
- _Гадерименлад: Гостиная_: заменён источник света в углу у сундуков - убран звук.
- _Гадерименлад: Комната Духов_:
    - Добавлена пара пустых сундуков.
    - _Дух Вивека_ (`nc_vivec_spirit`) заменён на _Чемпиона Мехрун Дагона_ (ибо не было Того-самого-Вивека
в те времена)... с небольшой модификацией. Получилось даже веселее!
    - Для обычного камня душ теперь вместо _Дреморы_ призывается _Огненный Атронах_.
- _Гадерименлад: Оружейная_: выключатели света у двери в помещение с манекенами передвинуты на левую сторону арки,
к "ручке" двери.
- _Гадерименлад: Спальня_:
    - Ларец с `1М` дрейков заменён на пустой - нет подтверждений, что кучу лет назад валюта была идентичной
(вплоть до рисунка), что и во времена событий игры.
    - Уровень воды понижен с `-129` до `-160`: игроку достаточно, зато красивая водичка от
[_Morrowind Graphics Extender_](http://www.fullrest.ru/files/mge) не выходит за пределы пола
и не "гуляет"" волнами по всей спальне.
    - Фонарь _Свет Неревара_ заменён на синюю версию _Свет Вечности_ и теперь расположен на полке над столиком.
    - Полки и столик с книгами перемещены в подвал особняка в Балморе - образовавшееся пустое место "вырезано", смещён
вход в помещение.

### Скрипты

- `MoonAndStar`: при взятии кольца репутация повышается на `1` (в предыдущей версии - на `15`).
    - IMHO, вообще не должно быть ни повышения репутации, ни изменения отношения фракций к игроку до тек пор,
пока те же Уршилаку или их гости не разболтают о произошедшем... Но я пока решил не заморачиваться с этим.
- `CavernIncarnateDoor`: время открытия двери после реплики уменьшено с `10` до `9` секунд.
    Голосовое сообщение автоответчика Азуры успевает проиграться до конца - игроку не нужно куковать и задаваться
    вопросом, почему же ничего не происходит.
- `nc_weather_ring_script` (_Метеорологическое кольцо_):
    - Подписи элементов управления заключены в квадратные скобки, чтобы визуально отличаться от пунктов выбора погоды.
    - Убраны пепельные и моровые бури - всё-таки их не существовало в те времена (да и кому захочется дышать пылью?).
- `script_mannequin` (_Манекен_): grammar nazi исправил "Одеть/Снять" на "Надеть / Снять доспехи".
- `EndGame`: после завершения основной сюжетной линии пепельные бури перестают идти не только в регионе Красной Горы,
но и в регионах Эшленда и Молаг Мара - во всех регионах, где раньше были такие бури. Вместо этого процент пепельных бурь
разделён пополам и добавлен к ясной и облачной погодам.
- `nc_potion_abilities` (_Эликсир Физической Силы_) и `nc_potion_magic` (_Эликсир Магической Силы_):
    - больше не поднимают уровень игрока;
    - устанавливают другие значения характеристик;
    - теперь устанавливают характеристикам значения только в том случае, если текущее значение характеристики меньше
устанавливаемого (т. е. если сила уже была под 1000 благодаря корпрусу, она такой и останется);
    - сначала добавляет максимум здоровья (что побочно приводит к восстановлению всего здоровья), а затем уже отнимает
здоровье (добавленный максимум + собственный "штраф");
    - _ЭМС_ больше не добавляет упразднённые заклинания _[ЭМС] Сила лучших акробатов_ и _[ЭМС] Скорость лучших бегунов_.
- `nc_teleport_1` больше не запрещает левитацию, как и `nc_teleport_2` больше не разрешает её - нет нужды после
появления "потолка" во внешней локации _Гадерименлад_.
- `mazedbandEnd_Script`: _Лента Лабиринта Барилзара_ не будет телепортировать игрока, если тот перенёсся
в "пространственный карман".
    - Во-первых, _Лента_ не столь крута! А во-вторых, иначе игрок так и останется с заблокированной магией
вмешательства / возврата: блокировка ставится при перемещении к _Гадерименладу_, а снимается при возврате на
_Остров Тишины_.

### Прочее

- Знак _Древний дракон_ переименован в _Дракон_.
- Удалены черновики помещений (`_Башня`, `_Главный зал`, `_Кухня`), которые так и не были задействованы в плагине.
- Удалён добавленный в первом билде никому не сдавшийся класс _Древний воин_.
    - Я не буду объяснять, зачем его добавлял. :P
- Почистил плагин от ряда ненужных изменений.

### Не удалось изменить

Эта секция - замечания для автора.

#### Оригинальная игра

- _Карта Красной Горы_ (`bk_red_mountain_map`) содержит изображение Вварденфелла вместо деталей Красной Горы.
    - На лицо отсутствие правильного .dds: `ru_morrowind_377_253.dds` изображает всю провинцию (что правильно),
`ru_redmountain_377_253.dds` изображает, внезапно, территорию Вварденфелла.
- Есть подозрение, что _Armor Rating_ учитывается только в 75% случаев (минимум 25% урона игрок всё равно получает).
    - Не нашёл среди глобальных переменных (в отличие от следующих игр серии).

#### Баги GFM 5 (нельзя исправить на уровне плагина)

При использовании мастер-файла GFM 5 некоторые изменения не удаётся пернести в плагин
(без добавления зависимости от этого мастера):

- Цены на некоторые алх. приборы уровня "тайный мастер" почему-то ниже, чем на аналогичные уровня "грандмастер".
- _Щуп подмастерья_ (`probe_apprentice_01`) весит 1.0, тогда как все остальные - 0.25.

### Не будет сделано

Идеи автора, которые им же и забракованы:

- Придать золотым монетам разумный вес - обыгрываем идею, что герой не может таскать с собой инкассаторскую машину
весом в пёрышко.
    - Если взять средний вес монеты в 3 г (0,007 фунта), то 15К будет весить 105 фунтов. Учитывая, с какими суммами
типичный игрок будет выбегать от того же _Ползуна_, такое "новшество" создаст больше неудобств,
чем радости от большего реализма.
- Повесить над Резонаторами кристаллы - так же, как в комнатах пропильонов.
    - Отказался, т. к. для этого нужно будет как-то вкорячить в сферический потолок отдельную плоскую платформу - без
неё пачка кристаллов-сталактитов выглядит... неуместно. Пока не придумал красивого решения.
- Увеличить магическую ёмкость оружия (и брони?) из стекла и эбонита.
Грустно, когда у стеклянной алебарды ёмкость всего лишь `3`.
    - Ага. Зато стекло лёгкое (в том и ценность его), а эбонитовая продукция более распространена.
Вот поэтому даэдрическая продукция столь ценна.
- Сейчас атаки Тёмного братства прекращаются при обращении к Апплеусу Матиусу (или при выборе темы _Тёмное братство_).
Исправить, чтобы атаки прекращались после убийства главы.
    - А стоит ли?.. По идее, логично, что игрок, получив свистулей от ассассинов, сразу же побежит разбираться. И да,
после этого ассассины перестают нападать, но так "просто совпало" - у ТБ к этому моменту просто кончились свободные
исполнители...

## v1.11

Релиз: _апрель 2011_

- Изменены цены, магическая вместимость, урон некоторых единиц оружия.
- Удалено кольцо восстановления свойств за неоправданностью.
- Существенно снижена цена на _Зелье Призрака_ после сравнения с ценой аналогичного свитка.
- _Морнхолд, Поместье Веласа_: все контейнеры не имеют хозяина. Это позволяет игроку использовать
поместье в качестве собственного жилища и не "воровать у самого себя".
- Сокращено название фракции _Восточная Имперская Кампания_ (иначе обрезается на _Камп_).
- Переписаны записки Неревара.

Наверняка изменений было больше, но студент забыл / забил.

## v1.1

Релиз: _январь 2010_

Первый публичный релиз на FullRest: http://v41.fullrest.ru/files/morrowind/houses/Nerevar_Castle

Конечно же, автор и не подумал подробно расписать все изменения,
а ограничился лишь некоторыми в основном описании плагина...

## v1.0

Релиз: _февраль 2009_

Описание изменений утеряно где-то в _Обливионе_.

Единственный релиз, представленный в виде аж 3 плагинов - с различными зависимостями от мастер-файлов
(только оригинал, оригинал + _Bloodmoon_ и оригинал + оба дополнения) и соответствующей разницей в изменениях.